Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Use Compass and Bootstrap 2.0 on Rails (3.2)

branch: master

Fetching latest commit…

Octocat-spinner-32-eaf2f5

Cannot retrieve the latest commit at this time

Octocat-spinner-32 app
Octocat-spinner-32 config
Octocat-spinner-32 db
Octocat-spinner-32 doc
Octocat-spinner-32 lib
Octocat-spinner-32 public
Octocat-spinner-32 script
Octocat-spinner-32 test
Octocat-spinner-32 vendor
Octocat-spinner-32 .gitignore
Octocat-spinner-32 Gemfile
Octocat-spinner-32 Gemfile.lock
Octocat-spinner-32 README.md
Octocat-spinner-32 Rakefile
Octocat-spinner-32 config.ru
README.md

Compass and Bootstrap 2.0 on Rails

Ever want to use Bootstrap 2.0 on Rails? (It has been out for at least 48 hours.)

Want to use compass? BAM.

In your gem file, do these things:

gem "compass-rails", ">= 0.12"
gem "bootstrap-sass", ">= 2.0"

In your application.scss import bootstrap using sass, not sprockets.

@import "bootstrap";
@import "bootstrap-responsive";

I wish it were more interesting, but Chris Eppstein made compass drop dead simple to integrate.

Props

Author

Jesse Wolgamott, @jwo

I obviously did not write Rails, Compass, or Bootstrap

Copyright

MIT License

Something went wrong with that request. Please try again.